Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions
Lucene::SimpleFSLockFactory Class Reference

Implements LockFactory using File#createNewFile(). More...

`#include <SimpleFSLockFactory.h>`

Inheritance diagram for Lucene::SimpleFSLockFactory:

## Public Member Functions

| SimpleFSLockFactory ()
| Create a SimpleFSLockFactory instance, with null (unset) lock directory. When you pass this factory to a FSDirectory subclass, the lock directory is automatically set to the directory itself. Be sure to create one instance for each directory your create! More...
| SimpleFSLockFactory (const String &lockDir)
| Instantiate using the provided directory name. More...
virtual | ~SimpleFSLockFactory ()
virtual String | getClassName ()
boost::shared_ptr < SimpleFSLockFactory > | shared_from_this ()
virtual LockPtr | makeLock (const String &lockName)
| Return a new Lock instance identified by lockName. More...
virtual void | clearLock (const String &lockName)
| Attempt to clear (forcefully unlock and remove) the specified lock. More...
Public Member Functions inherited from Lucene::FSLockFactory
virtual | ~FSLockFactory ()
boost::shared_ptr< FSLockFactory > | shared_from_this ()
void | setLockDir (const String &lockDir)
| Set the lock directory. This method can be only called once to initialize the lock directory. It is used by FSDirectory to set the lock directory to itself. Subclasses can also use this method to set the directory in the constructor. More...
String | getLockDir ()
| Retrieve the lock directory. More...
Public Member Functions inherited from Lucene::LockFactory
virtual | ~LockFactory ()
boost::shared_ptr< LockFactory > | shared_from_this ()
virtual void | setLockPrefix (const String &lockPrefix)
| Set the prefix in use for all locks created in this LockFactory. This is normally called once, when a Directory gets this LockFactory instance. However, you can also call this (after this instance is assigned to a Directory) to override the prefix in use. This is helpful if you're running Lucene on machines that have different mount points for the same shared directory. More...
virtual String | getLockPrefix ()
| Get the prefix in use for all locks created in this LockFactory. More...
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::FSLockFactory
static String | _getClassName ()
Static Public Member Functions inherited from Lucene::LockFactory
static String | _getClassName ()

## Additional Inherited Members

Protected Member Functions inherited from Lucene::FSLockFactory
| FSLockFactory ()
Protected Attributes inherited from Lucene::FSLockFactory
String | lockDir
| Directory for the lock files. More...

## Detailed Description

Implements LockFactory using File#createNewFile().

See Also
  LockFactory

## Constructor & Destructor Documentation

Lucene::SimpleFSLockFactory::SimpleFSLockFactory | ( | ) |  |

Create a SimpleFSLockFactory instance, with null (unset) lock directory. When you pass this factory to a FSDirectory subclass, the lock directory is automatically set to the directory itself. Be sure to create one instance for each directory your create!

Lucene::SimpleFSLockFactory::SimpleFSLockFactory | ( | const String & | lockDir) |  |

Instantiate using the provided directory name.

Parameters

  lockDir | where lock files should be created.

virtual Lucene::SimpleFSLockFactory::~SimpleFSLockFactory | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::SimpleFSLockFactory::_getClassName | ( | ) |  |

inline static

virtual void Lucene::SimpleFSLockFactory::clearLock | ( | const String & | lockName) |  |

virtual

Attempt to clear (forcefully unlock and remove) the specified lock.

Implements Lucene::LockFactory.

virtual String Lucene::SimpleFSLockFactory::getClassName | ( | ) |  |

inline virtual

Reimplemented from Lucene::FSLockFactory.

virtual LockPtr Lucene::SimpleFSLockFactory::makeLock | ( | const String & | lockName) |  |

virtual

Return a new Lock instance identified by lockName.

Implements Lucene::LockFactory.

boost::shared_ptr< SimpleFSLockFactory > Lucene::SimpleFSLockFactory::shared_from_this | ( | ) |  |

inline

The documentation for this class was generated from the following file:

- SimpleFSLockFactory.h

clucene.sourceforge.net